package dev.shadowsoffire.apotheosis.ench.enchantments;

import net.minecraft.world.entity.player.Player;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.item.enchantment.EnchantmentHelper;
import net.minecraftforge.event.entity.player.PlayerEvent;
import net.minecraft.world.entity.EquipmentSlot;
import net.minecraft.world.item.enchantment.EnchantmentCategory;
import net.minecraft.world.item.enchantment.Enchantment;

public class StableFootingEnchant extends Enchantment
{
    public StableFootingEnchant() {
        super(Enchantment.Rarity.RARE, EnchantmentCategory.ARMOR_FEET, new EquipmentSlot[] { EquipmentSlot.FEET });
    }
    
    public int m_6183_(final int level) {
        return 40;
    }
    
    public int m_6175_(final int level) {
        return 200;
    }
    
    public void breakSpeed(final PlayerEvent.BreakSpeed e) {
        final Player p = e.getEntity();
        if (!p.m_20096_() && EnchantmentHelper.m_44836_((Enchantment)this, (LivingEntity)p) > 0 && e.getOriginalSpeed() < e.getNewSpeed() * 5.0f) {
            e.setNewSpeed(e.getNewSpeed() * 5.0f);
        }
    }
}
